package com.copy.trade.enums;

import lombok.Getter;

import java.util.Arrays;

@Getter
public enum FollowConfigEnum {
	
	APPLY_TRADER_MIN_ASSET("APPLY_TRADER_MIN_ASSET","申请成为老师的最低资产"),
	ORDINARY_TEACHER_REMOVE_ONE_WEEK_LIMIT("ORDINARY_TEACHER_REMOVE_ONE_WEEK_LIMIT","被普通老师移除后再次跟随时的一周时效限制开关,1-开,其他为关"),
	CANCEL_FOLLOW_ONE_WEEK_LIMIT("CANCEL_FOLLOW_ONE_WEEK_LIMIT","取消跟随后再次跟随时的一周时效限制开关,1-开,其他为关"),
	DAY_YEILD_14_IS_MULTIPLY_14("DAY_YEILD_14_IS_MULTIPLY_14","14日收益率是否乘以14,1-要乘以14,其他为不乘"),
	FOLLOW_DEFAULT_AVATAR_ADDRESS("FOLLOW_DEFAULT_AVATAR_ADDRESS","跟单默认头像地址"),
	SPECIAL_TRADER_CODE("SPECIAL_TRADER_CODE","交易员代码");

    private String nameEn;
    private String nameCn;

    FollowConfigEnum(String nameEn, String nameCn) {
        this.nameEn = nameEn;
        this.nameCn = nameCn;
    }
}
